/*
* flexible CSS property:
* property: calc(MINpx + (MAX - MIN) * ((100vw - MIN_CONTENTpx) / (MAX_CONTENT - MIN_CONTENT)));
*
*
* use:   @include adaptive-value('margin-bottom', 84, 52, 1);
*        @include adaptive-value('css-variable', max, min, 1 or 2 or 3);
*                                                         1 - if less container (maxWidthContainer in variable.scss)
*                                                         2 - if more container (maxWidthContainer in variable.scss)
*                                                         3 - always
*
*
*/
:root {
  --min-content: 320px;
  --max-content: 1200px;
  --container-padding: 20px;
  --sm-min-content: 320px;
  --md-min-content: 576px;
  --lg-min-content: 992px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body,
#root,
.wrapper {
  height: 100%;
}

#root {
  background-color: #ccc;
}

.wrapper {
  margin: 0 auto;
  /* padding: 0 20px; */
  padding-left: 20px;
  padding-right: 20px;
  min-width: var(--min-content);
  max-width: var(--max-content);
}
@media (max-width: 1200px) {
  .wrapper {
    padding-left: calc(
        8px + 12 *
          ((100vw - 320px) / 880)
      );
  }
}
@media (max-width: 1200px) {
  .wrapper {
    padding-right: calc(
        8px + 12 *
          ((100vw - 320px) / 880)
      );
  }
}

/**** wrapper grid ****/
.wrapper {
  display: grid;
  grid-template-areas: "header" "main" "footer";
  grid-template-rows: 60px 1fr 60px;
}

.header {
  font-size: 26px;
  grid-area: header;
}
@media (max-width: 1200px) {
  .header {
    font-size: calc(
        18px + 8 *
          ((100vw - 320px) / 880)
      );
  }
}

.main {
  grid-area: main;
}

.footer {
  font-size: 26px;
  grid-area: footer;
}
@media (max-width: 1200px) {
  .footer {
    font-size: calc(
        18px + 8 *
          ((100vw - 320px) / 880)
      );
  }
}

/**** wrapper grid ****/
/**** main grid ****/
.main {
  display: grid;
  grid-template-areas: "left" "right";
  grid-template-columns: minmax(320px, 1fr);
}

.left {
  font-size: 22px;
  grid-area: left;
}
@media (max-width: 1200px) {
  .left {
    font-size: calc(
        14px + 8 *
          ((100vw - 320px) / 880)
      );
  }
}

.right {
  grid-area: right;
}

/**** main grid ****/
/**** right grid ****/
.right {
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-auto-rows: 100px;
}

/**** right grid ****/
.container {
  width: 100%;
  padding: 0 var(--container-padding);
  margin: 0 auto;
}

.header {
  background-color: rebeccapurple;
}

.main {
  background-color: gold;
}

.footer {
  background-color: brown;
}

.left {
  background-color: blue;
}

.right {
  padding: 10px;
  background-color: rosybrown;
}

.item {
  font-size: 14px;
  padding: 10px;
  background-color: aquamarine;
}
@media (max-width: 1200px) {
  .item {
    font-size: calc(
        10px + 4 *
          ((100vw - 320px) / 880)
      );
  }
}

/* MEDIA */
@media screen and (min-width: 576px) {
  .header {
    background-color: rgb(143, 90, 196);
  }
  .main {
    grid-template-areas: "left right";
    grid-template-columns: minmax(150px, 200px) minmax(320px, 1fr);
  }
}
@media screen and (min-width: 992px) {
  .header {
    background-color: rgb(187, 147, 227);
  }
}

/*# sourceMappingURL=styles.css.map */
